package com.hand.hls.dp.core;

import com.hand.hap.core.IRequest;
import com.hand.hls.dp.service.SysDpExecuteHistoryService;

import java.util.Objects;

/**
 * @author <a href="mailto:zhangnet14@gmail.com">Spencer Chang</a>
 * @date 2020/8/13 09:50
 * sql执行上下文
 */
public class ExecSqlContext {
    private SysDpExecuteHistoryService service;
    private IRequest requestContext;
    private String sql;
    private String ip;
    private String execType;
    private Integer seq;

    public SysDpExecuteHistoryService getService() {
        return service;
    }

    public void setService(SysDpExecuteHistoryService service) {
        this.service = service;
    }

    public IRequest getRequestContext() {
        return requestContext;
    }

    public void setRequestContext(IRequest requestContext) {
        this.requestContext = requestContext;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getExecType() {
        return execType;
    }

    public void setExecType(String execType) {
        this.execType = execType;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ExecSqlContext that = (ExecSqlContext) o;
        return Objects.equals(service, that.service) && Objects.equals(requestContext, that.requestContext) && Objects.equals(sql, that.sql) && Objects.equals(ip, that.ip) && Objects.equals(execType, that.execType) && Objects.equals(seq, that.seq);
    }

    @Override
    public int hashCode() {
        return Objects.hash(service, requestContext, sql, ip, execType, seq);
    }

    @Override
    public String toString() {
        return "ExecSqlContext{" +
                "service=" + service +
                ", requestContext=" + requestContext +
                ", sql='" + sql + '\'' +
                ", ip='" + ip + '\'' +
                ", execType='" + execType + '\'' +
                ", seq=" + seq +
                '}';
    }
}
